Skip to main content
GET
/
exchange
/
api
/
v1
/
strategy_updates
Get Strategy Update History
curl --request GET \
  --url https://api.example.com/exchange/api/v1/strategy_updates
{
  "nextGlobalOrdinal": 123,
  "value": [
    {
      "globalOrdinal": 123,
      "epochId": 123,
      "reason": 0,
      "traderAddress": "<string>",
      "strategyIdHash": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "txOrdinal": 123,
      "ordinal": 123,
      "withdrawRejection": 0,
      "collateralAddress": "<string>",
      "collateralSymbol": "<string>",
      "amount": "<string>",
      "newAvailCollateral": "<string>",
      "newLockedCollateral": "<string>",
      "blockNumber": 123,
      "txHash": "<string>",
      "positions": [
        {
          "symbol": "<string>",
          "realizedPnl": "<string>",
          "side": 0,
          "avgEntryPrice": "<string>"
        }
      ]
    }
  ],
  "success": true,
  "timestamp": 123
}

Query Parameters

trader
string

The trader address, with the discriminant prefix.

strategyIdHash
string

The strategy id hash.

reason
enum<integer>

The type of strategy update. Multiple strategy update values can be provided. Values include: 0: Deposit - Collateral was deposited on-chain, 1: Withdraw - Collateral withdrawal was claimed on-chain, 2: WithdrawIntent - Collateral was locked for withdrawal, 3: FundingPayment - Funding payments were distributed, 4: PnlSettlement - PnL was realized, 5: Trade, 6: Fee, 7: Liquidation, 8: ADL - ADL occurred on one or more positions, 9: Withdraw Rejection.

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9
limit
integer
default:500

The number of rows to return

globalOrdinal
integer

The global ordinal boundary used when fetching the next timeseries page.

order
enum<string>
default:asc

The ordering of the results.

Available options:
asc,
desc

Response

Strategy update data

Successful response for the Strategy Update API

nextGlobalOrdinal
number | null
required

Pointer for the global ordinal boundary of the next page. Will return null when there is no more data left to fetch.

Examples:

100

null

value
object[]
required

The value of the response

success
boolean
required

Whether the request was successful

timestamp
number
required

The timestamp of the response

Example:

1673031089

Last modified on April 27, 2026